org.hibernate.search.elasticsearch.client.impl

## Class ElasticsearchRequest.Builder

- java.lang.Object
- - org.hibernate.search.elasticsearch.client.impl.ElasticsearchRequest.Builder

- Enclosing class:
    ElasticsearchRequest

      public static final class ElasticsearchRequest.Builder
      extends Object

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ElasticsearchRequest.Builder` | `body(com.google.gson.JsonObject object)`
    `ElasticsearchRequest` | `build()`
    `ElasticsearchRequest.Builder` | `multiValuedPathComponent(Iterable<URLEncodedString> indexNames)`
    `ElasticsearchRequest.Builder` | `param(String name, boolean value)`
    `ElasticsearchRequest.Builder` | `param(String name, int value)`
    `ElasticsearchRequest.Builder` | `param(String name, String value)`
    `ElasticsearchRequest.Builder` | `pathComponent(URLEncodedString pathComponent)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### pathComponent

          public ElasticsearchRequest.Builder pathComponent(URLEncodedString pathComponent)

    - #### multiValuedPathComponent

          public ElasticsearchRequest.Builder multiValuedPathComponent(Iterable<URLEncodedString> indexNames)

    - #### param

          public ElasticsearchRequest.Builder param(String name,
                                                    String value)

    - #### param

          public ElasticsearchRequest.Builder param(String name,
                                                    int value)

    - #### param

          public ElasticsearchRequest.Builder param(String name,
                                                    boolean value)

    - #### body

          public ElasticsearchRequest.Builder body(com.google.gson.JsonObject object)

    - #### build

          public ElasticsearchRequest build()

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved